/*
 *  mappix-trackdraw.h
 *
 *  Copyright (C) 2006 Nils Faerber <nils.faerber@kernelconcepts.de>
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _MAPPIX_TRACKDRAW_H
#define _MAPPIX_TRACKDRAW_H

#ifdef __cplusplus
extern "C"
{
#endif

void draw_waypoint_label (mapwin *, gint, gint, gchar *);
void draw_pointed_line(gint, gint, gint, gint, gint, gint, gpointer);
void draw_lines_cb (GtkButton *, gpointer);
double do_calc_scale(mapwin *);
double calc_scale(mapwin *);
void do_redraw(mapwin *);
void change_scale(mapwin *, double);
void draw_marker(gint, gint, gint, gint, gpointer);
void draw_track(track_head *, gpointer);
void draw_tracks(mapwin *);
void draw_filename (gchar *, mapwin *);
void zoom_in_cb (GtkSpinButton *, gpointer);
void zoom_out_cb (GtkSpinButton *, gpointer);
void zoom_area_cb (GtkRadioToolButton *, gpointer);
void move_cb (GtkRadioToolButton *, gpointer);
void auto_scale (GtkButton *, gpointer);
void draw_waypoints(mapwin *);
void draw_city_names(mapwin *);
void draw_scale(mapwin *);

#ifdef __cplusplus
}
#endif

#endif /* _MAPPIX_TRACKDRAW_H */
